#!/bin/bash

set -e
set -o pipefail

chmod 600 /var/spool/cron/root
sed -i -e '/pam_loginuid.so/s/^/#/' /etc/pam.d/crond
mkdir -p /data/log/devlog/ /data/log/other/  /data/project/ /home/book/preps/.java/.userPrefs
rm -rf /data/project/* 
touch /home/book/preps/.java/.userPrefs/.user.lock.book
touch /home/book/preps/.java/.userPrefs/.userRootModFile.book
mv /tmp/ROOT.war /data/project/ROOT.war
chown book:book -R  /data /app/soft/ /home/book/preps
ed -i 's/nodaemon=false/nodaemon=true/g' /etc/supervisord.conf


exec "$@"